Search documentation of ash

# Ash.Error.Query.CalculationRequiresPrimaryKey exception (ash v3.4.71)

View Source

Used when a calculation requires a primary key but was not supplied with one

# Summary

## Functions

exception(args)

Create an `Elixir.Ash.Error.Query.CalculationRequiresPrimaryKey` without raising it.

# Functions

# exception(args)

    @spec exception(opts :: Keyword.t()) ::
      %Ash.Error.Query.CalculationRequiresPrimaryKey{
        __exception__: true,
        bread_crumbs: term(),
        calculation: term(),
        class: term(),
        path: term(),
        resource: term(),
        splode: term(),
        stacktrace: term(),
        vars: term()
      }

Create an `Elixir.Ash.Error.Query.CalculationRequiresPrimaryKey` without raising it.

## Keys

- :resource
- :calculation